Bug 465237 - [CRM#1837798] automount NULL pointer dereference segmentation fault
Summary: [CRM#1837798] automount NULL pointer dereference segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs
Version: 4.7
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jeff Moyer
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 462264
Blocks: RHEL4u8_relnotes 469007
TreeView+ depends on / blocked
 
Reported: 2008-10-02 10:57 UTC by Tomas Smetana
Modified: 2018-10-20 03:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Automount map entries that refer to multiple hosts in the mount location (replicated mount), the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon did not check if the list was empty following the initial probe which would lead to a segmentation fault (by dereferencing a NULL pointer). This check has been added.
Clone Of:
Environment:
Last Closed: 2009-05-18 20:21:42 UTC


Attachments (Terms of Use)
Patch to check for no remaining remote hosts when pruning host list (810 bytes, patch)
2008-10-03 06:07 UTC, Ian Kent
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0991 normal SHIPPED_LIVE autofs bug fix and enhancement update 2009-05-18 13:50:27 UTC

Comment 2 RHEL Product and Program Management 2008-10-02 14:08:30 UTC
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.

Comment 3 Ian Kent 2008-10-02 14:19:16 UTC
I'll take this and develop port the patch needed from autofs
version 5 and then reassign it to Jeff Moyer.

Comment 4 Ian Kent 2008-10-03 06:07:12 UTC
Created attachment 319315 [details]
Patch to check for no remaining remote hosts when pruning host list

Comment 15 Ruediger Landmann 2009-01-23 06:57:35 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* in a replicated environment, the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon was not able to handle this case and would cause a segmentation fault (by dereferencing a NULL pointer). Automount now features improved probing code that returns to looking for local hosts even if no remote hosts respond.

Comment 16 Ian Kent 2009-01-26 07:18:22 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* in a replicated environment, the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon was not able to handle this case and would cause a segmentation fault (by dereferencing a NULL pointer). Automount now features improved probing code that returns to looking for local hosts even if no remote hosts respond.+* for map entries that refer to multiple hosts in the mount location (replicated mount), the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon did not check if the list was empty following the initial probe which would lead to a segmentation fault (by dereferencing a NULL pointer). This check has been added.

Comment 21 Ryan Lerch 2009-03-29 23:51:15 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* for map entries that refer to multiple hosts in the mount location (replicated mount), the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon did not check if the list was empty following the initial probe which would lead to a segmentation fault (by dereferencing a NULL pointer). This check has been added.+Automount map entries that refer to multiple hosts in the mount location (replicated mount), the automount daemon probes a list of remote hosts for their proximity and NFS version. If hosts fail to respond, they are removed from the list. If no remote hosts reply at all, the list may become empty. Previously, the daemon did not check if the list was empty following the initial probe which would lead to a segmentation fault (by dereferencing a NULL pointer). This check has been added.

Comment 22 errata-xmlrpc 2009-05-18 20:21:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0991.html


Note You need to log in before you can comment on or make changes to this bug.